# Get Daily Recap Questions

Use the `dailyRecapQuestions` query to get the information of all daily questions and their respective answers available in the [coaching portal](https://docs.suggestic.com/coaching-portal/accessing-the-coaching-portal/navigating-the-coaching-portal/coach-dashboard/progress-tab/checking-the-users-recap-questions) and in the app.&#x20;

### Available Fields

<table data-header-hidden><thead><tr><th width="219.33333333333331" align="center">Field</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>id</code></td><td align="center">String</td><td align="center">Daily recap question ID</td></tr><tr><td align="center"><code>imageUrl</code></td><td align="center">Int</td><td align="center">URL of the question's image</td></tr><tr><td align="center"><code>question</code></td><td align="center">String</td><td align="center">Question's title</td></tr><tr><td align="center"><code>answers</code></td><td align="center">Answer</td><td align="center">Meeting duration. Expressed in minutes.</td></tr></tbody></table>

## Answer object

The Answer object displays the information of the answer

### Available Fields

<table data-header-hidden><thead><tr><th width="219.33333333333331" align="center">Field</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>id</code></td><td align="center">ID</td><td align="center">Answer unique ID</td></tr><tr><td align="center"><code>answer</code></td><td align="center">String</td><td align="center">Answer text</td></tr><tr><td align="center"><code>selected</code></td><td align="center">Boolean</td><td align="center"><code>true</code> if the answer has been selected. Otherwise, <code>false</code></td></tr><tr><td align="center"><code>type</code></td><td align="center">HabitAnswerType</td><td align="center">User habit's answer type. There are three possible values: <code>NEGATIVE</code>, <code>NEUTRAL</code>, <code>POSITIVE</code></td></tr></tbody></table>

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
{
  dailyRecapQuestions {
    id
    question
    imageUrl
    answers {
      id
      answer
      selected
      type
    }
  }
}

```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "dailyRecapQuestions": [
      {
        "id": "RGFpbHlRdWVzdGlvbjo3Y2E4YzAxZS1kZDRjLTRlODktYjA3NS04ZGZmNzhlZDlhZTE=",
        "question": "I exercised for at least 30 minutes",
        "imageUrl": "https://sg-data.storage.googleapis.com/images_bucket/icon-recap-exercised-48e2ba45-6b6f-44eb-972b-d96082e2bfee.png",
        "answers": [
          {
            "id": "QW5zd2VyOmZjYTNhYjEwLWU4NDAtNGExZS05NzkyLTc4OTE0NzhmMTE1Zg==",
            "answer": "Yes, I did",
            "selected": false,
            "type": "POSITIVE"
          },
          {
            "id": "QW5zd2VyOjY0OTViNTA0LWJhZDQtNGY2Ni05ZDI4LWRiZDk3NzAzOTRhMQ==",
            "answer": "No, I didn't",
            "selected": false,
            "type": "NEGATIVE"
          }
        ]
      },
      {
        "id": "RGFpbHlRdWVzdGlvbjphZmNlOTA0MC0wZjI0LTRlMjQtOTk3NS1iNmVkNmQzZmM0MzM=",
        "question": "I practiced breathing excercises twice",
        "imageUrl": "https://sg-data.storage.googleapis.com/images_bucket/icon-recap-breathing-0bcf52b4-7973-4846-912d-0ba5529194ca.png",
        "answers": [
          {
            "id": "QW5zd2VyOjMxNTgxOTMyLTg5YjAtNGY2NC04MDEwLWJmMmRiYjJkYTlkMg==",
            "answer": "Yes, I did",
            "selected": false,
            "type": "POSITIVE"
          },
          {
            "id": "QW5zd2VyOjcwOWJkNjQzLTJjZWItNGE2OC04YjEwLTEyYjgzMTk4YTc3Zg==",
            "answer": "No, I didn’t",
            "selected": false,
            "type": "NEGATIVE"
          }
        ]
      },
      {
        "id": "RGFpbHlRdWVzdGlvbjo2ZDI0ZjQ5Ny0wNzQzLTQyYTQtYThlZi1lNjhiNzkyZjA0NmU=",
        "question": "I slept at least 7 hours",
        "imageUrl": "https://sg-data.storage.googleapis.com/images_bucket/icon-recap-slept-1ba72e13-7495-44b9-894d-e3aa0bbc3d55.png",
        "answers": [
          {
            "id": "QW5zd2VyOmI2MWVkZGJlLTc0ODYtNDFlOS1iNzNlLTQ5NmM0NzNmZGViYQ==",
            "answer": "+ 7 hours",
            "selected": false,
            "type": "POSITIVE"
          },
          {
            "id": "QW5zd2VyOjMwZjU3ZDU2LTViNzUtNGMzYi1hYzAxLWI2MGE0NzczOGJiZg==",
            "answer": "- 7 hours",
            "selected": false,
            "type": "NEGATIVE"
          }
        ]
      },
      {
        "id": "RGFpbHlRdWVzdGlvbjo0OGQwZjQ5Zi00ZmVkLTQ5YjgtYjg4Zi03OThlMzdiYWE2ZmE=",
        "question": "I fasted 12 hours after my last meal",
        "imageUrl": "https://sg-data.storage.googleapis.com/images_bucket/icon-recap-meal-386c4a4b-7831-4a8c-a878-68a4081d9bfd.png",
        "answers": [
          {
            "id": "QW5zd2VyOmIyNTRlODRmLTNlODgtNGIwMi05ZTQxLTAzNDg3MzUzYjFlYw==",
            "answer": "Yes, I did",
            "selected": false,
            "type": "POSITIVE"
          },
          {
            "id": "QW5zd2VyOjgxMTNjNGQ4LWUyM2QtNGQ5MC1hZjhiLTM3NTgwMDQ3MjgyMQ==",
            "answer": "No, I didn't",
            "selected": false,
            "type": "NEGATIVE"
          }
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/tracking/daily-recap/get-daily-recap-questions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
